Bug 1129512 - Failed to create zend app
Summary: Failed to create zend app
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 2.x
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Vojtech Vitek
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks: 1120103
TreeView+ depends on / blocked
 
Reported: 2014-08-13 02:27 UTC by Meng Bo
Modified: 2015-05-15 00:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:50:30 UTC


Attachments (Terms of Use)

Description Meng Bo 2014-08-13 02:27:16 UTC
Description of problem:
Create zend app on latest devenv will get failure with following error:

Creating application 'zend61' ... Creating private copies of Zend Server files...
+ source /usr/lib/openshift/cartridge_sdk/bash/sdk
++ '[' false == true ']'
++ OO_BASH_SDK=true
+ version=6.1
+ echo /var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/bin
+ echo /var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/tmp
+ echo /var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/etc/php.ini
+ echo /var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/etc/conf.d
+ echo 'Zend Server'
+ echo 6.1.0
+ echo 1328
+ echo DIST=pe
+ export LD_LIBRARY_PATH=/var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/lib
+ LD_LIBRARY_PATH=/var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/lib
+ export PATH=/var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/bin:/bin:/usr/bin:/usr/sbin
+ PATH=/var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/bin:/bin:/usr/bin:/usr/sbin
+ export PHPRC=/var/lib/openshift/53eafb824c3694af85000008/zend/configuration/etc/php.ini
+ PHPRC=/var/lib/openshift/53eafb824c3694af85000008/zend/configuration/etc/php.ini
+ export PHP_INI_SCAN_DIR=/var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/etc/conf.d
+ PHP_INI_SCAN_DIR=/var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/etc/conf.d
+ shopt -s dotglob
+ mkdir -p /var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4
+ echo 'Creating private copies of Zend Server files...'
+ mkdir -p /var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/share /var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/var/db
+ cp -r /usr/local/zend-server-6-php-5.4/user-files/share/pear /var/lib/openshift/53eafb824c3694af85000008/zend/php-5.4/share
cp: cannot stat `/usr/local/zend-server-6-php-5.4/user-files/share/pear': No such file or directory

Checked on devenv, there is no such dir on the node.
[root@ip-10-144-221-187 ~]# ls /usr/local/zend-server-6-php-5.4/
bin  doc  gui  include  lib  share  var.orig



Version-Release number of selected component (if applicable):
devenv_5067

How reproducible:
always

Steps to Reproduce:
1. Try to create zend app on latest devenv
2.
3.

Actual results:
Failed to create zend app.

Expected results:
Should be able to create.

Additional info:

Comment 1 Vojtech Vitek 2014-08-13 07:44:26 UTC
https://github.com/openshift/li/pull/2801

Comment 2 Vojtech Vitek 2014-08-13 16:00:31 UTC
https://github.com/openshift/li/pull/2802

Comment 3 Meng Bo 2014-08-14 03:07:39 UTC
Checked on devenv_5074, issue has been fixed.

Zend app can be created.


Note You need to log in before you can comment on or make changes to this bug.